#!/bin/sh

sqlite3 "$REPOCOP_TEST_TMPDIR/tmp.db" <<EOSQL
ATTACH DATABASE '$REPOCOP_TEST_DBDIR/rpm.db' AS rpm;
.mode tabs
.output $REPOCOP_TEST_TMPDIR/msg
SELECT pkgid FROM rpm WHERE distribution IS NULL OR distribution <> 'ALT Linux';
EOSQL
for i in `cat $REPOCOP_TEST_TMPDIR/msg`; do repocop-test-warn -k $i "Bad Distribution: tag in a package."; done
rm $REPOCOP_TEST_TMPDIR/*
